=== modified file 'bzrlib/plugins/changelog_merge/__init__.py'
--- bzrlib/plugins/changelog_merge/__init__.py	2011-03-15 07:56:42 +0000
+++ bzrlib/plugins/changelog_merge/__init__.py	2011-03-30 14:23:59 +0000
@@ -55,27 +55,17 @@
 
 # Since we are a built-in plugin we share the bzrlib version
 from bzrlib import version_info
+from bzrlib.hooks import install_lazy_named_hook
 
 # Put most of the code in a separate module that we lazy-import to keep the
 # overhead of this plugin as minimal as possible.
-from bzrlib.lazy_import import lazy_import
-lazy_import(globals(), """
-from bzrlib.plugins.changelog_merge import changelog_merge as _mod_changelog_merge
-""")
-
-from bzrlib.merge import Merger
-
-
 def changelog_merge_hook(merger):
     """Merger.merge_file_content hook for GNU-format ChangeLog files."""
-    return _mod_changelog_merge.ChangeLogMerger(merger)
-
-
-def install_hook():
-    Merger.hooks.install_named_hook(
-        'merge_file_content', changelog_merge_hook, 'GNU ChangeLog file merge')
-install_hook()
-
+    from brlib.plugins.changelog_merge.changelog_merge import ChangeLogMerger
+    return ChangeLogMerger(merger)
+
+install_lazy_named_hook("bzrlib.merge", "Merger.hooks", "merge_file_content",
+    changelog_merge_hook, 'GNU ChangeLog file merge')
 
 def load_tests(basic_tests, module, loader):
     testmod_names = [
@@ -84,4 +74,3 @@
     basic_tests.addTest(loader.loadTestsFromModuleNames(
             ["%s.%s" % (__name__, tmn) for tmn in testmod_names]))
     return basic_tests
-

=== modified file 'bzrlib/plugins/news_merge/__init__.py'
--- bzrlib/plugins/news_merge/__init__.py	2010-05-03 04:08:50 +0000
+++ bzrlib/plugins/news_merge/__init__.py	2011-03-30 14:23:59 +0000
@@ -33,26 +33,17 @@
 
 # Since we are a built-in plugin we share the bzrlib version
 from bzrlib import version_info
-
-# Put most of the code in a separate module that we lazy-import to keep the
-# overhead of this plugin as minimal as possible.
-from bzrlib.lazy_import import lazy_import
-lazy_import(globals(), """
-from bzrlib.plugins.news_merge import news_merge as _mod_news_merge
-""")
-
-from bzrlib.merge import Merger
+from bzrlib.hooks import install_lazy_named_hook
 
 
 def news_merge_hook(merger):
     """Merger.merge_file_content hook for bzr-format NEWS files."""
-    return _mod_news_merge.NewsMerger(merger)
-
-
-def install_hook():
-    Merger.hooks.install_named_hook(
-        'merge_file_content', news_merge_hook, 'NEWS file merge')
-install_hook()
+    from bzrlib.plugins.news_merge.news_merge import NewsMerger
+    return NewsMerger(merger)
+
+
+install_lazy_named_hook("bzrlib.merge", "Merger.hooks", "merge_file_content",
+    news_merge_hook, "NEWS file merge")
 
 
 def load_tests(basic_tests, module, loader):

